# eric4.E4XML.TemplatesWriter

Module implementing the writer class for writing an XML templates file.

### Global Attributes

None

### Classes

TemplatesWriter | Class implementing the writer class for writing an XML templates file.

### Functions

None

## TemplatesWriter

Class implementing the writer class for writing an XML templates file.

### Derived from

XMLWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

TemplatesWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### TemplatesWriter (Constructor)

TemplatesWriter(file, templatesViewer)

Constructor

file
  open file (like) object for writing

#### TemplatesWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up